CREATE TABLE cst_std_resource_rate_details (
    STD_RESOURCE_RATE_DETAIL_ID    NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    STD_RESOURCE_RATE_ID           NUMBER(18, 0)     NOT NULL,
    COST_ELEMENT_ID                NUMBER(18, 0)     NOT NULL,
    EXPENSE_POOL_ID                NUMBER(18, 0)     NOT NULL,
    COST_COMPONENT_ID              NUMBER(18, 0) ,
    UNIT_RATE                      NUMBER            NOT NULL,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    REQUEST_ID                     NUMBER(18, 0) ,
    JOB_DEFINITION_NAME            VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE         VARCHAR2(3600),
    CREATION_SOURCE                VARCHAR2(44)  ,
    LAST_UPDATE_SOURCE             VARCHAR2(44)  ,
    STD_RESOURCE_RATE_DETAIL_ID    NUMBER(18, 0) ,
    STD_RESOURCE_RATE_ID           NUMBER(18, 0)     NOT NULL,
    COST_COMPONENT_ID              NUMBER(18, 0) ,
    EXPENSE_POOL_ID                NUMBER(18, 0)     NOT NULL,
    UNIT_RATE                      NUMBER            NOT NULL,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    REQUEST_ID                     NUMBER(18, 0) ,
    JOB_DEFINITION_NAME            VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE         VARCHAR2(3600),
    COST_ELEMENT_ID                NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    CREATION_SOURCE                VARCHAR2(44)  ,
    LAST_UPDATE_SOURCE             VARCHAR2(44)  ,
    CONSTRAINT pk_cst_std_resource_rate_details PRIMARY KEY (STD_RESOURCE_RATE_DETAIL_ID, STD_RESOURCE_RATE_DETAIL_ID)
);
